{% extends "car_collection/__base.html" %}

{% load static %}

{% block content %}
<div class="row justify-content-center">
    <div class="col-lg-5">
        <div class="card shadow-lg border-0 rounded-lg mt-5">
            <div class="card-header"><h3 class="text-center font-weight-light my-4">Login</h3></div>
            <img src="/static/car_collection/logo1.png" class="card-img-top">
            <div class="card-body">
                <form method="post" action="{% url 'login' %}">
                    {% csrf_token %}
                    <div class="form-group">
                    <div class="form-label-group">
                        {{ form.username }}
                    </div>
                    </div>
                    <div class="form-group">
                    <div class="form-label-group">
                        {{ form.password }}
                    </div>
                    </div>
                    <input type="hidden" name="next" value="{{ next }}">
                    <button class="btn btn-primary btn-block" type="submit">Login</button>
                </form>
            </div>
        </div>
    </div>
</div>
<script>
    document.getElementById("id_username").classList.add("form-control");
    document.getElementById("id_password").classList.add("form-control");
    document.getElementById("id_username").placeholder = "Username";
    document.getElementById("id_password").placeholder = "Password";
    document.getElementById("id_username").type = "text";
    document.getElementById("id_password").type = "password";
    document.getElementById("id_username").required = "required";
    document.getElementById("id_password").required = "required";
    document.getElementById("id_username").autofocus = "autofocus";
</script>
{% endblock %}
